<?php



add_action('after_setup_theme', 'my_theme_setup');
function my_theme_setup(){
    load_theme_textdomain('Andre', get_template_directory() . '/languages');
}

require_once ('admin/index.php');


//require_once (TEMPLATEPATH . '/function/image.php');
require_once (TEMPLATEPATH . '/function/metaboxes.php');
require_once (TEMPLATEPATH . '/function/pagination.php');
require_once (TEMPLATEPATH . '/function/detect-mobile.php');
require_once (TEMPLATEPATH . '/function/excerpt.php');
require_once (TEMPLATEPATH . '/function/media.php');

// require_once (TEMPLATEPATH . '/function/metabox.php');


// Shortcodes
require_once(TEMPLATEPATH . '/function/shortcodes/shortcode.php');
require_once(TEMPLATEPATH . '/function/shortcodes/typography.php');

// TinyMCE Shortcodes Adder
require_once(TEMPLATEPATH . '/function/shortcodes/columnsadder.php');
require_once(TEMPLATEPATH . '/function/shortcodes/shortcodeadder.php');

	

  // Allow shortcodes in widget text
  add_filter('widget_text', 'do_shortcode');
	
	// Add RSS links to <head> section
  add_theme_support( 'automatic-feed-links' ); 
  add_theme_support( 'post-thumbnails' );	
  add_image_size('sequenceimg', 60, 128, true);	
  add_image_size('tj_show_thumb280', 370, 180, true);  
  add_image_size('tj_show_thumb500', 600, 240, true);  	
	

if ( ! isset( $content_width ) ) $content_width = 600;



	if ( !is_admin() ) {
	 wp_deregister_script('jquery');
	 wp_register_script('jquery', ("http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"), false);
     wp_register_script( 'custom-script', get_template_directory_uri() . '/bootstrap/js/bootstrap.js', array( 'jquery' ) );
     wp_register_script( 'fancybox', get_template_directory_uri() . '/js/jquery.fancybox.pack.js', array( 'jquery' ) );   
     wp_register_script( 'fancyboxmedia', get_template_directory_uri() . '/js/jquery.fancybox-media.js', array( 'jquery' ) ); 
     wp_register_script( 'flexslider', get_template_directory_uri() . '/js/jquery.flexslider.js', array( 'jquery' ) );   
     wp_register_script( 'bxslider', get_template_directory_uri() . '/js/jquery.bxslider.min.js', array( 'jquery' ) );                             
	 wp_register_script( 'filter', get_template_directory_uri() . '/js/jquery.mixitup.js', array( 'jquery' ) ); 
	 wp_register_script( 'fitvids', get_template_directory_uri() . '/js/jquery.fitvids.js', array( 'jquery' ) );	 	
	 
	 wp_enqueue_script( 'jquery' );	     
     wp_enqueue_script( 'custom-script' );	   
     wp_enqueue_script( 'fancybox' );	  
     wp_enqueue_script( 'fancyboxmedia' );	 
     wp_enqueue_script( 'flexslider' );  
     wp_enqueue_script( 'bxslider' );      
     wp_enqueue_script( 'filter' ); 
     wp_enqueue_script( 'fitvids' ); 	                    	     ;
	}





add_action( 'init', 'and_register_menu' );



function and_register_menu() {

	register_nav_menus( array(

		'primary' => __( 'Primary Navigation', 'andre' ),

		'category' => __( 'Category Navigation', 'andre' )

	) );

}



 

if (function_exists('register_sidebar'))

{   

	register_sidebar( array(

		'name' => __( 'Primary Widget Area', 'andre' ),

		'id' => 'primary-widget-area',

		'description' => __( 'Right widget area', 'andre' ),

		'before_widget' => '<div id="%1$s" class="widget-container %2$s sidebarall">',

		'after_widget' => '</div>',

		'before_title' => '<h3 class="widget-title">',

		'after_title' => '</h3>',

	) );	

	

	register_sidebar( array(

		'name' => __( 'Footer 1 Widget Area', 'andre' ),

		'id' => 'footer1-widget-area',

		'description' => __( 'Footer 1 widget area', 'andre' ),

		'before_widget' => '<div id="%1$s" class="widget-container %2$s sidebarall">',

		'after_widget' => '</div>',

		'before_title' => '<h3 class="widget-title">',

		'after_title' => '</h3>',

	) );

	

	register_sidebar( array(

		'name' => __( 'Footer 2 Widget Area', 'andre' ),

		'id' => 'footer2-widget-area',

		'description' => __( 'Footer 2 widget area', 'andre' ),

		'before_widget' => '<div id="%1$s" class="widget-container %2$s sidebarall">',

		'after_widget' => '</div>',

		'before_title' => '<h3 class="widget-title">',

		'after_title' => '</h3>',

	) );

	

	register_sidebar( array(

		'name' => __( 'Footer 3 Widget Area', 'andre' ),

		'id' => 'footer3-widget-area',

		'description' => __( 'Footer 3 widget area', 'andre' ),

		'before_widget' => '<div id="%1$s" class="widget-container %2$s sidebarall">',

		'after_widget' => '</div>',

		'before_title' => '<h3 class="widget-title">',

		'after_title' => '</h3>',

	) );

	

	register_sidebar( array(

		'name' => __( 'Footer 4 Widget Area', 'andre' ),

		'id' => 'footer4-widget-area',

		'description' => __( 'Footer 4 widget area', 'andre' ),

		'before_widget' => '<div id="%1$s" class="widget-container %2$s sidebarall">',

		'after_widget' => '</div>',

		'before_title' => '<h3 class="widget-title">',

		'after_title' => '</h3>',

	) );				    

}



function box_shortcode( $atts, $content = null ) {

   return '<div class="boxes">'.$content.'</div>';

}

add_shortcode('box', 'box_shortcode');



function my_init_method() {

    if (!is_admin()) {

        wp_deregister_script( 'jquery' );

        wp_register_script( 'jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.6/jquery.min.js');

        wp_enqueue_script( 'jquery' );

    }

}    

 

add_action('init', 'my_init_method');





function my_search_form( $form ) {



    $form = '<form role="search" method="get" id="searchform" action="' . home_url( '/' ) . '" >

    <div>

    <input type="text" value="' . get_search_query() . '" name="s" id="s" />

    <input type="submit" id="searchsubmit" value="'. esc_attr__('Go') .'" />

    </div>

    </form>';



    return $form;

}



add_filter( 'get_search_form', 'my_search_form' );





add_shortcode( 'tabgroup', 'jqtools_tab_group' );



function jqtools_tab_group( $atts, $content ){

$GLOBALS['tab_count'] = 0;



do_shortcode( $content );



if( is_array( $GLOBALS['tabs'] ) ){

foreach( $GLOBALS['tabs'] as $tab ){

$tabs[] = '<li><a class="" href="#">'.$tab['title'].'</a></li>';

$panes[] = '<div class="pane"><h3>'.$tab['title'].'</h3>'.$tab['content'].'</div>';

}

$return = "\n".'<!-- the tabs --><ul class="tabs">'.implode( "\n", $tabs ).'</ul>'."\n".'<!-- tab "panes" --><div class="panes">'.implode( "\n", $panes ).'</div>'."\n";

}

return $return;

}



add_shortcode( 'tab', 'jqtools_tab' );

function jqtools_tab( $atts, $content ){

extract(shortcode_atts(array(

'title' => 'Tab %d'

), $atts));



$x = $GLOBALS['tab_count'];

$GLOBALS['tabs'][$x] = array( 'title' => sprintf( $title, $GLOBALS['tab_count'] ), 'content' =>  $content );



$GLOBALS['tab_count']++;

}



add_shortcode( 'accordion', 'jqtools_accordion_group' );

function jqtools_accordion_group( $atts, $content ){

	return '<div id="accordion">'.$content.'</div>';

}



function tj_show_thumb280($width = 280, $height = 136) {

?>

<a href="<?php the_permalink() ?>" rel="bookmark"><img class="thumb" src="<?php bloginfo('template_directory'); ?>/function/timthumb.php?src=<?php tj_get_image(); ?>&amp;h=136&amp;w=280&amp;zc=1" alt="<?php the_title(); ?>" /></a>

<?php

}

  

function tj_show_thumb500($width = 504, $height = 200) {

?>

<a href="<?php the_permalink() ?>" rel="bookmark"><img class="thumb" src="<?php bloginfo('template_directory'); ?>/function/timthumb.php?src=<?php tj_get_image(); ?>&amp;h=200&amp;w=504&amp;zc=1" alt="<?php the_title(); ?>" /></a>

<?php

}



function tj_show_thumb140($width = 140, $height = 45) {

?>

<a href="<?php the_permalink() ?>" rel="bookmark"><img class="thumb" src="<?php bloginfo('template_directory'); ?>/function/timthumb.php?src=<?php tj_get_image(); ?>&amp;h=45&amp;w=140&amp;zc=1" alt="<?php the_title(); ?>" /></a>

<?php

}



function tj_show_thumb150($width = 150, $height = 110) {

?>

<a href="<?php the_permalink() ?>" rel="bookmark"><img class="thumb" src="<?php bloginfo('template_directory'); ?>/function/timthumb.php?src=<?php tj_get_image(); ?>&amp;h=110&amp;w=150&amp;zc=1" alt="<?php the_title(); ?>" /></a>

<?php

}



// Get Image Attachments

function tj_get_image($postid=0, $size='full') {

	if ($postid<1) 

	$postid = get_the_ID();

	$thumb = get_post_meta($postid, "thumb", TRUE); // Declare the custom field for the image

	if ($thumb != null or $thumb != '') {

		echo get_image_path($thumb); 

	}

	elseif ($images = get_children(array(

		'post_parent' => $postid,

		'post_type' => 'attachment',

		'numberposts' => '1',

		'post_mime_type' => 'image', )))

		foreach($images as $image) {

			$thumbnail=wp_get_attachment_image_src($image->ID, $size);

			?>

	<?php echo get_image_path($thumbnail[0]); ?>

	<?php }

		else {

		$theme_name = strtolower(get_current_theme());

        echo get_image_path('function/themes/'.$theme_name.'/images/image-pending.gif');

	}

}



function get_image_path($thumbnail='') {

	global $blog_id;

	if (isset($blog_id) && $blog_id > 0) {

		$imagePath = explode('/files/', $thumbnail);

		if (isset($imagePath[1])) {

			$thumbnail = '/blogs.dir/' . $blog_id . '/files/' . $imagePath[1];

		}

	}

	

	return $thumbnail;

}





function textrating($value){

	if($value=='5'){echo "<div class=\"rating-text\">Our Rating : <span class=\"rating-blue\"> Excellent </span></div>";}

	if($value=='4'){echo "<div class=\"rating-text\">Our Rating : <span class=\"rating-blue\">Good</span></div>";}

	if($value=='3'){echo "<div class=\"rating-text\">Our Rating : <span class=\"rating-blue\">Fair</span></div>";}

	if($value=='2'){echo "<div class=\"rating-text\">Our Rating : <span class=\"rating-blue\">Not Bad</span></div>";}

	if($value=='1'){echo "<div class=\"rating-text\">Our Rating : <span class=\"rating-blue\">Bad</span></div>";}				

}



/***************************************************************************************

**********Custom Function to Add extra field to Comments (rating in this case)**********

****************************************************************************************/



function pr_rating_fields($fields)

{

  global $post;



    

    $fields['rating'] = '<p class="comment-form-rating">' . '<label for="rating">' . __( 'Rating' ) . '</label> ' .

      '<input id="rating" name="rating" type="hidden" value="' . esc_attr( $commenter['rating'] ) . '" >

        <input name="star1" type="radio" class="star" value="1" />

		<input name="star1" type="radio" class="star" value="2" />

		<input name="star1" type="radio" class="star" value="3" />

		<input name="star1" type="radio" class="star" value="4" />

		<input name="star1" type="radio" class="star" value="5" /></p>';



    $fields = array( $fields['author'], $fields['email'], $fields['url'],$fields['rating'] );



  return $fields;

}



add_filter( 'comment_form_default_fields', 'pr_rating_fields' );



function pr_add_author_rating($comment_id)

{

  add_comment_meta( $comment_id, 'rating', $_POST['star1'], true );

}



add_action( 'comment_post', 'pr_add_author_rating', 1 );





function mytheme_comment($comment, $args, $depth) {

   $GLOBALS['comment'] = $comment; ?>

   <li <?php comment_class('comment-body'); ?> id="li-comment-<?php comment_ID() ?>">

     <div id="comment-<?php comment_ID(); ?>">

      <div class="comment-author vcard">

         <?php  echo get_avatar($comment,$size='60',$default= get_stylesheet_directory_uri() . '/images/default_avatar.png' ); ?>

    </div>

         <?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>'), get_comment_author_link()) ?>

      

      <?php if ($comment->comment_approved == '0') : ?>

         <em><?php _e('Your comment is awaiting moderation.') ?></em>

         <br />

      <?php endif; ?>

 

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>

  <?php $rating=get_comment_meta( $comment->comment_ID, 'rating' ); if($rating[0]){  ?>

 		<div class="review_rating-comment stars_<?php echo $rating['0']; ?>"><?php echo $rating['0']; ?> stars</div>

     <?php } comment_text(); ?>

 

      <div class="reply">

         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>

      </div>

     </div>

<div class="clear"></div><?php //echo $rating['0']; ?>

     </li>

<?php

        }


if($data['theme-customwidget']>0){
  for($i=1;$i<=$data['theme-customwidget'];$i++){

    	register_sidebar(array(
    		'name' => 'Custom Widget '.$i,
    		'id'   => 'custom-'.$i,
    		'description'   => 'These are widgets for the sidebar.',
    		'before_widget' => '<div id="%1$s" class="widget %2$s">',
    		'after_widget'  => '</div>',
    		'before_title'  => '<h2>',
    		'after_title'   => '</h2>'
    	));
    	  
  
  }
}

global $customwidget;
$customwidget =  $data['theme-customwidget'];

require_once('wp-updates-theme.php');
new WPUpdatesThemeUpdater_858( 'http://wp-updates.com/api/2/theme', basename( get_template_directory() ) );
?>