<?php get_header(); ?>
	<div id="container">
		<div id="content">
		<?php if (have_posts()) : ?>
			<?php while (have_posts()) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class();?>>
					<div class="entry-box">
						<h2><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>		
						<?php the_content(); ?>
						<hr/>
					</div>
				</div>
				<?php //comments_template(); ?>
			<?php endwhile; ?>
			<div class="navigation">
				<div class="alignleft">
					<?php next_posts_link('&laquo; Older Entries') ?>
				</div>
				<div class="alignright">
					<?php previous_posts_link('Newer Entries &raquo;') ?>
				</div>
			</div>
		<?php else : ?>
		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p> <?php get_search_form(); ?>
		<?php endif; ?>
	</div><!-- content -->
	<?php get_sidebar(); ?>
	<div class="clear"></div>
</div>
<?php get_footer(); ?>