<?php
add_action('admin_menu', 'adr_create_menu');

function adr_create_menu() {
	//create new top-level menu
	add_menu_page('Spring Of Hope', 'Spring Of Hope Settings', 'administrator', __-FILE__, 'adr_settings_page');

	//call register settings function
	add_action( 'admin_init', 'register_mysettings' );
}


function register_mysettings() {
	//register our settings
	register_setting( 'adr-settings-group', 'ss_tracking_code' );
	register_setting( 'adr-settings-group', 'adr-boxright' );

	register_setting( 'adr-settings-group', 'adr-rimage1' );
	register_setting( 'adr-settings-group', 'adr-rimage2' );
	register_setting( 'adr-settings-group', 'adr-rimage3' );
	register_setting( 'adr-settings-group', 'adr-rimage4' );
	register_setting( 'adr-settings-group', 'adr-rimage5' );			
	
						
	register_setting( 'adr-settings-group', 'adr-emailone' );
	register_setting( 'adr-settings-group', 'adr-emailtwo' );	
	register_setting( 'adr-settings-group', 'adr-facebook' );
	register_setting( 'adr-settings-group', 'adr-twitter' );					
	register_setting( 'adr-settings-group', 'adr-linkedin' );
	register_setting( 'adr-settings-group', 'adr-rss' );			
	
	
}

function adr_settings_page() {
?>
<div class="wrap">
	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/idtabs.js"></script>

<form method="post" action="options.php">

    <?php settings_fields('adr-settings-group'); ?>
        <div class="andre-tabs">
        <ul class="idTabs">
            <!-- <li><a href="#wrapstart" class="andre-link">Slider</a></li>-->
           <!--<li><a href="#wrap2" class="andre-link">Contact Form Email</a></li>-->
			<li><a href="#wrapstart" class="andre-link">Homepage</a></li>
			<!--<li><a href="#wrap3" class="andre-link">Social Bookmark</a></li>-->
			<li><a href="#wrap2" class="andre-link">Random Image</a></li>
        </ul>
    </div>
	<br/><br/>
    <div style="clear: both;"></div>
            <div id="andre-wrap">
                <div id="wrapstart" style="display: none;">
        			<div class="andre-title"> Header Box</div>
					<div class="andre-box">

						<table width="95%" border="1">
						<?php if(stripslashes(get_option('adr-boxright'))<>""){ ?>						
						<tr><td colspan="2"><?php echo stripslashes(get_option('adr-boxright')); ?></td></tr>
						<?php } ?>						
						<tr><td colspan="2"><h3>Right Header Box</h3></td></tr>
							<tr><td>
							<div style="border:1px solid #dddddd; padding:20px 20px 20px 20px; margin:20px 0px 20px 0px;">
								<table  width="95%" border="1">											
									<tr><td align="left" width="300px"><b>HTML COde</b></td>
									<textarea cols="60" rows="8" name="adr-boxright"><?php echo stripslashes(get_option('adr-boxright')); ?></textarea>
								</table>
							</div>						
						</td></tr>											
						</table> 	
						
						
					</div>									
    			</div>
                <div id="wrap2" style="display: none;">
        			<div class="andre-title"> Random Image </div>
					<div class="andre-box">
											
						<table width="95%" border="1">
						<?php if(stripslashes(get_option('adr-rimage1'))<>""){ ?>						
						<tr><td colspan="2"><img src="<?php echo stripslashes(get_option('adr-rimage1')); ?>" alt="Header Rotating" /></td></tr>
						<?php } ?>						
						<tr><td colspan="2"><h3>Image I</h3></td></tr>
							<tr><td>
							<div style="border:1px solid #dddddd; padding:20px 20px 20px 20px; margin:20px 0px 20px 0px;">
								<table  width="95%" border="1">											
									<tr><td align="left" width="300px"><b>Image URL</b></td>
									<input type="text" name="adr-rimage1" value="<?php echo stripslashes(get_option('adr-rimage1')); ?>" style="width:400px; "/>
								</table>
							</div>						
							</td></tr>											
						</table> 	
						<table width="95%" border="1">
						<?php if(stripslashes(get_option('adr-rimage2'))<>""){ ?>						
						<tr><td colspan="2"><img src="<?php echo stripslashes(get_option('adr-rimage2')); ?>" alt="Header Rotating" /></td></tr>
						<?php } ?>						
						<tr><td colspan="2"><h3>Image II</h3></td></tr>
							<tr><td>
							<div style="border:1px solid #dddddd; padding:20px 20px 20px 20px; margin:20px 0px 20px 0px;">
								<table  width="95%" border="1">											
									<tr><td align="left" width="300px"><b>Image URL</b></td>
									<input type="text" name="adr-rimage2" value="<?php echo stripslashes(get_option('adr-rimage2')); ?>" style="width:400px; "/>
								</table>
							</div>						
							</td></tr>											
						</table> 	
						<table width="95%" border="1">
						<?php if(stripslashes(get_option('adr-rimage3'))<>""){ ?>						
						<tr><td colspan="2"><img src="<?php echo stripslashes(get_option('adr-rimage3')); ?>" alt="Header Rotating" /></td></tr>
						<?php } ?>						
						<tr><td colspan="2"><h3>Image III</h3></td></tr>
							<tr><td>
							<div style="border:1px solid #dddddd; padding:20px 20px 20px 20px; margin:20px 0px 20px 0px;">
								<table  width="95%" border="1">											
									<tr><td align="left" width="300px"><b>Image URL</b></td>
									<input type="text" name="adr-rimage3" value="<?php echo stripslashes(get_option('adr-rimage3')); ?>" style="width:400px; "/>
								</table>
							</div>						
							</td></tr>											
						</table> 	
						<table width="95%" border="1">
						<?php if(stripslashes(get_option('adr-rimage4'))<>""){ ?>						
						<tr><td colspan="2"><img src="<?php echo stripslashes(get_option('adr-rimage4')); ?>" alt="Header Rotating" /></td></tr>
						<?php } ?>						
						<tr><td colspan="2"><h3>Image IV</h3></td></tr>
							<tr><td>
							<div style="border:1px solid #dddddd; padding:20px 20px 20px 20px; margin:20px 0px 20px 0px;">
								<table  width="95%" border="1">											
									<tr><td align="left" width="300px"><b>Image URL</b></td>
									<input type="text" name="adr-rimage4" value="<?php echo stripslashes(get_option('adr-rimage4')); ?>" style="width:400px; "/>
								</table>
							</div>						
							</td></tr>											
						</table> 	
						<table width="95%" border="1">
						<?php if(stripslashes(get_option('adr-rimage5'))<>""){ ?>						
						<tr><td colspan="2"><img src="<?php echo stripslashes(get_option('adr-rimage5')); ?>" alt="Header Rotating" /></td></tr>
						<?php } ?>						
						<tr><td colspan="2"><h3>Image V</h3></td></tr>
							<tr><td>
							<div style="border:1px solid #dddddd; padding:20px 20px 20px 20px; margin:20px 0px 20px 0px;">
								<table  width="95%" border="1">											
									<tr><td align="left" width="300px"><b>Image URL</b></td>
									<input type="text" name="adr-rimage5" value="<?php echo stripslashes(get_option('adr-rimage5')); ?>" style="width:400px; "/>
								</table>
							</div>						
							</td></tr>											
						</table> 																									
						
					</div> 					
    			</div>
                <div id="wrap3" style="display: none;">
        			<div class="andre-title"> Social Bookmark</div>
					<div class="andre-box">
						<table width="95%" border="1">
							<tr><td align="left" width="300px"><b>Facebook</b></td>
							<td align="left"><input type="text" name="adr-facebook" value="<?php echo stripslashes(get_option('adr-facebook')); ?>" style="width:400px; "/></td></tr>						
						</table>
						<table width="95%" border="1">
							<tr><td align="left" width="300px"><b>Twitter</b></td>
							<td align="left"><input type="text" name="adr-twitter" value="<?php echo stripslashes(get_option('adr-twitter')); ?>" style="width:400px; "/></td></tr>						
						</table> 
						<table width="95%" border="1">
							<tr><td align="left" width="300px"><b>LinkedIn</b></td>
							<td align="left"><input type="text" name="adr-linkedin" value="<?php echo stripslashes(get_option('adr-linkedin')); ?>" style="width:400px; "/></td></tr>						
						</table> 					
						<table width="95%" border="1">
							<tr><td align="left" width="300px"><b>RSS</b></td>
							<td align="left"><input type="text" name="adr-rss" value="<?php echo stripslashes(get_option('adr-rss')); ?>" style="width:400px; "/></td></tr>						
						</table>																		 	
					</div>				
    			</div>
                <div id="wrap4" style="display: none;">
        			<div class="andre-title"> Navigation </div>
					<div class="andre-box">
						<table width="95%" border="0">
							<tr><td align="left" width="300px"><b>Staff Pag</b></td>
							<td align="left">
							<select name="adr-professional" id="adr-professional">
							<?php $categories = get_categories('hide_empty=0');
							foreach ($categories as $cat) {
							if (get_option('adr-professional') == $cat->cat_ID) { $selected = ' selected="selected"'; } else { $selected = ''; }
							$opt = '<option value="' . $cat->cat_ID . '"' . $selected . '>' . $cat->cat_name . '</option>';
							echo $opt; } ?>
							</select>	
							</td></tr>
						</table>
					</div> 					
    			</div>
                <div id="wrap5" style="display: none;">
        			<div class="andre-title"> Manage Ads </div>
					<div class="andre-box">
<table width="95%" border="0">
</table> 
					</div>					
    			</div>																					
        <div style="clear: both;"></div>


    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>

</form>
</div>
<?php 
}
 
function andre_css() {
echo '<link rel="stylesheet" href="../wp-content/themes/SpringOfHope/panel.css" type="text/css" />';   ?>
<?php }
add_action('admin_head', 'andre_css');